org.apache.xpath.functions

## Class WrongNumberArgsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.xpath.functions.WrongNumberArgsException

All Implemented Interfaces:
  java.io.Serializable

    public class WrongNumberArgsException
    extends java.lang.Exception

An exception that is thrown if the wrong number of arguments to an exception are specified by the stylesheet.

See Also:
  Serialized Form
Usage:
  **For advanced use only**

### Constructor Summary

Constructors
Constructor and Description
`WrongNumberArgsException(java.lang.String argsExpected)` Constructor WrongNumberArgsException

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WrongNumberArgsException

    public WrongNumberArgsException(java.lang.String argsExpected)

Constructor WrongNumberArgsException

Parameters:
  `argsExpected` - Error message that tells the number of arguments that were expected.